Bug 218192 - dmraid needs the raid45 kernel module from Heinz Mauelshagen
dmraid needs the raid45 kernel module from Heinz Mauelshagen
Status: CLOSED DUPLICATE of bug 533703
Product: Fedora
Classification: Fedora
Component: dmraid (Show other bugs)
13
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
: Reopened
: 473007 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-02 18:58 EST by Joe Ogulin
Modified: 2010-07-01 03:59 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-01 03:59:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda dump (16.00 KB, text/plain)
2006-12-02 18:58 EST, Joe Ogulin
no flags Details
Anaconda dump (16.00 KB, text/plain)
2006-12-03 13:22 EST, Joe Ogulin
no flags Details
Anaconda dump (65.31 KB, text/plain)
2006-12-03 15:07 EST, Joe Ogulin
no flags Details
Anaconda Backtrace (109.31 KB, application/octet-stream)
2010-04-25 14:01 EDT, Steven Marks
no flags Details

  None (edit)
Description Joe Ogulin 2006-12-02 18:58:07 EST
Description of problem:
I attempted to install FC6 on a new Intel Core 2 Duo E6300 CPU on an Asus
P5N32-E SLI motherboard (nVidia chipset) with RAID 5 configured for the 3 SATA
drives (all 3 are 320GB drives).  After clicking "Next" when selecting the
keyboard type, the exception pops up.

The dump is attached (will be revised, as this one seems to be truncated).

NOTE: the only hard drives in the system are part of the RAID.

Install attempt was from DVD.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install system
2.
3.
  
Actual results:
Exception after clicking "next" when selecting keyboard

Expected results:
Ability to create partitions and mountpoints

Additional info:
Comment 1 Joe Ogulin 2006-12-02 18:58:07 EST
Created attachment 142671 [details]
Anaconda dump
Comment 2 Joe Ogulin 2006-12-03 13:22:53 EST
Created attachment 142686 [details]
Anaconda dump
Comment 3 Joe Ogulin 2006-12-03 15:07:04 EST
Created attachment 142689 [details]
Anaconda dump
Comment 4 Jeremy Katz 2006-12-04 15:50:47 EST
Does booting with 'linux nodmraid' help?
Comment 5 Joe Ogulin 2006-12-04 16:27:09 EST
I'll try it, but I'm trying to set up the RAID5 cluster as the bootable
drive/partition, etc.  Results to follow after I get home from work... :)
Comment 6 Joe Ogulin 2006-12-04 20:08:33 EST
It works, but it brings up the 3 SATA drives as individual ones instead of a
single RAID 5 device.

That defeats the purpose of what I'm trying to do.
Comment 7 Joe Ogulin 2007-07-12 01:21:26 EDT
The probem here is a missing kernel module needed by dmraid, and the problem
exists in Fedora 7 as well as FC6.

Heinz Mauelshagen has been working on one, and while it may be in alpha format,
it would be useful if it were compiled as a separate package that it can be
tested, etc.
Comment 8 Dmitry 2008-03-24 07:46:39 EDT
Can't install Fedora8, Fedora9a on software raid5 (P5E motherboard) because of 
this bug. It says something like
device-mapper target type "raid45" not in kernel.
and lsmod shows that raid456 module loaded instead raid45.
Comment 9 Bug Zapper 2008-05-14 08:05:44 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Joe Ogulin 2008-05-14 11:22:27 EDT
This bug is still valid for Fedora 8.  I haven't tried Fedora 9 yet, as it was
just released.
Comment 11 P3P 2008-09-16 17:04:47 EDT
This bug is still valid for Fedora 9 (and CentOS 5.2 too).

I'm sorry, but developers should feel ashamed.
If the problem is "device-mapper target type "raid45" not in kernel" I think that this bug only requires rename the module "raid456" to "raid45" (maybe an alias is valid too).
Do you need 2 years to fix it? How many versions of Fedora are affected?

It is not a bug in dmraid, it is only a module naming convention.
You can change kernel module name or you can change dmraid to require the same module name that you are using.

Other Linux distributions had this bug, but they solved it in weeks.
So please fix it.

Sorry for my anger.
Comment 12 John Poelstra 2008-09-16 20:15:34 EDT
changing version to 9
Comment 13 Dominic-Olivier Beaudoin 2008-11-25 20:28:05 EST
I filed a similar bug and added external bug for Ubuntu (solved, btw) for reference. My bug number is 473007 (may well be a duplicate of this one) and Ubuntu Launchpad bug is 220493
Comment 14 Heinz Mauelshagen 2008-12-10 13:53:12 EST
The device-mapper RAID45 module is in Alasdair's <agk@redhat.com> upstream queue.
Once it goes mainline, Fedora will pick it up from there.
Comment 15 Heinz Mauelshagen 2008-12-10 13:55:52 EST
*** Bug 473007 has been marked as a duplicate of this bug. ***
Comment 16 Stephanos Manos 2009-05-22 19:21:39 EDT
Still present in Fedora 11 (Preview).
Any news as to when it will be fixed?

Instead of waiting for upstream kernel to include, can it be added to the fedora kernel?
Comment 17 Bug Zapper 2009-06-09 05:11:30 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Steven Marks 2010-04-25 14:00:43 EDT
This problem is still here in installing Fedora 13 Beta LiveCD.  I get to the anaconda installer to install to hard drive and when I get to start selecting what storage i'm going to be using then select next.  It gives me an error, trace attached.  I check the modules loaded with lsmod and get: 
...
raid10                 19948  0 
raid456                62980  0 
async_raid6_recov       5762  1 raid456
async_pq                4605  2 raid456,async_raid6_recov
raid6_pq               78519  2 async_raid6_recov,async_pq
async_xor               3503  3 raid456,async_raid6_recov,async_pq
xor                     4528  1 async_xor
async_memcpy            2045  2 raid456,async_raid6_recov
async_tx                2626  5 raid456,async_raid6_recov,async_pq,async_xor,async_memcpy
raid1                  20281  0 
raid0                   6006  0 
...
Then I checked if my raid is active:
[root@localhost liveuser]# dmraid -ay
ERROR: device-mapper target type "raid45" is not in the kernel
RAID set "isw_dgchhijicb_MADHAT" was not activated
ERROR: device "isw_dgchhijicb_MADHAT" could not be found

I found this weird, is it trying to access an out dated kernel module or is there another problem.

This is what I'm trying to do.  Just bought a new computer and got 6x1TB hard drives for a large RAID5 setup.  I read somewhere that linux (as well thought Fedora), would support Intel FakeRAID technology.  Set up the the RAID in BIOS and tried to install Fedora.  And ran into the problem above.  Got rid of the RAID and still ran into the problem above but I think that is part of another bug 533703.

Hardware:
Asus P7P55D-E Deleuxe
6x1TB WD Black 32MB Cashe (so 512B Sectors)
Comment 19 Steven Marks 2010-04-25 14:01:41 EDT
Created attachment 408986 [details]
Anaconda Backtrace
Comment 20 Bug Zapper 2010-04-27 07:41:04 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Bug Zapper 2010-06-28 06:23:35 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 22 Joe Ogulin 2010-06-28 08:58:32 EDT
This bug is still valid for Fedora 13.
Comment 23 Hans de Goede 2010-07-01 03:59:09 EDT
We already have another bug for tracking this issue, esp. see:
https://bugzilla.redhat.com/show_bug.cgi?id=533703#c17

Note that AFAIK work is (slowly) progressing upstream to abstract the raid4/5 code from mdraid so that it can be used by other subsystems (such as device mapper) too.

*** This bug has been marked as a duplicate of bug 533703 ***

Note You need to log in before you can comment on or make changes to this bug.